// This script defines the movement of my equalizer drawer

#include "../../../lib/std.mi"

global Group EQDrawer, EnhEQDrawer;
global Layer EnhFake, EnhFakeCover, EnhLabel, StdLabel;
global Button EQButtonOn, EQButtonOff, EnhEQButton;
global Int count, eqOpen, enhEqOpen;

System.onScriptUnloading() {}

System.onScriptLoaded()
{
  EQDrawer = getContainer("Main").getLayout("Normal").getObject("equalizer");
  EnhEQDrawer = getContainer("Main").getLayout("Normal").getObject("enhequalizer");
  Group WinButtons = getContainer("Main").getLayout("Normal").getObject("window.togglebuttons");
  EQButtonOn = WinButtons.getObject("eqon");
  EQButtonOff = WinButtons.getObject("eqoff");
  EnhEQButton = EQDrawer.getObject("advanced.eq");
  EnhFake = EQDrawer.getObject("player.enheq.back");
  EnhFakeCover = EQDrawer.getObject("player.enheq.overlay");
  EnhLabel = EQDrawer.getObject("eq.enh.icon");
  StdLabel = EQDrawer.getObject("eq.std.icon");

  EQButtonOn.hide();
  EQButtonOff.show();

  EnhEQDrawer.hide();

  EnhLabel.hide();

  count = 0;
  eqOpen = 0;
  enhEqOpen = 0;
}

EQButtonOff.onLeftClick()
{
  EQDrawer.setTargetX(357);
  EQDrawer.setTargetY(106);
  EQDrawer.setTargetSpeed(1);
  EnhEQDrawer.setTargetX(400);
  EnhEQDrawer.setTargetY(163);
  EnhEQDrawer.setTargetSpeed(1);

  EnhEQDrawer.gotoTarget();
  EQDrawer.gotoTarget();

  EQButtonOn.show();
  EQButtonOff.hide();
  eqOpen = 1;
}

EQButtonOn.onLeftClick()
{
  if(enhEqOpen == 1)
  {
    EnhLabel.hide();
    StdLabel.show();

    EnhEQDrawer.setTargetX(399);
    EnhEQDrawer.setTargetY(163);
    EnhEQDrawer.setTargetSpeed(1);

    EnhEQDrawer.gotoTarget();

    enhEqOpen = 0;
    count = 1;
  }
  else
  {
    EQDrawer.setTargetX(198);
    EQDrawer.setTargetY(106);
    EQDrawer.setTargetSpeed(1);
    EnhEQDrawer.setTargetX(240);
    EnhEQDrawer.setTargetY(163);
    EnhEQDrawer.setTargetSpeed(1);

    EnhEQDrawer.gotoTarget();
    EQDrawer.gotoTarget();

    EQButtonOn.hide();
    EQButtonOff.show();
    eqOpen = 0;
  }
}

EnhEQButton.onLeftClick()
{
  if(enhEqOpen == 0)
  {
    EnhEQDrawer.show();
    EnhFake.hide();
    EnhFakeCover.hide();
    StdLabel.hide();
    EnhLabel.show();

    EnhEQDrawer.setTargetX(399);
    EnhEQDrawer.setTargetY(210);
    EnhEQDrawer.setTargetSpeed(1);

    EnhEQDrawer.gotoTarget();

    enhEqOpen = 1;
  }
  else
  {
    EnhLabel.hide();
    StdLabel.show();

    EnhEQDrawer.setTargetX(399);
    EnhEQDrawer.setTargetY(163);
    EnhEQDrawer.setTargetSpeed(1);

    EnhEQDrawer.gotoTarget();

    enhEqOpen = 0;
  }
}

EnhEQDrawer.onTargetReached()
{
  if(count == 1)
  {
    EnhEQDrawer.hide();
    EnhFake.show();
    EnhFakeCover.show();
    
    EQDrawer.setTargetX(198);
    EQDrawer.setTargetY(106);
    EQDrawer.setTargetSpeed(1);
    EnhEQDrawer.setTargetX(240);
    EnhEQDrawer.setTargetY(163);
    EnhEQDrawer.setTargetSpeed(1);

    EnhEQDrawer.gotoTarget();
    EQDrawer.gotoTarget();

    EQButtonOn.hide();
    EQButtonOff.show();
    eqOpen = 0;
    count = 0;
  }
}