// This script controls the hiding and unhiding of layers

#include "../../../lib/std.mi"

global Group buttonGroup, seekGroup;
global Button playButton, pauseButton, stopButton, prevButton, nextButton, ejectButton;
global Layer playCover, playCoverDown, pauseCover, pauseCoverDown, stopCover, stopCoverDown, prevCover, prevCoverDown, nextCover, nextCoverDown, ejectCover, ejectCoverDown;

System.onScriptUnloading() {}

System.onScriptLoaded()
{
  buttonGroup = System.getContainer("Main").getLayout("Normal").getObject("player.playbuttons");
  seekGroup =  System.getContainer("Main").getLayout("Normal").getObject("player.seek");

  playButton = buttonGroup.getObject("Play");
  pauseButton = buttonGroup.getObject("Pause");
  stopButton = buttonGroup.getObject("Stop");
  prevButton = buttonGroup.getObject("Previous");
  nextButton = buttonGroup.getObject("Next");
  ejectButton = buttonGroup.getObject("Eject");

  playCover = buttonGroup.getObject("player.main.playcover");
  pauseCover = buttonGroup.getObject("player.main.pausecover");
  stopCover = buttonGroup.getObject("player.main.stopcover");
  prevCover = buttonGroup.getObject("player.main.prevcover");
  nextCover = buttonGroup.getObject("player.main.nextcover");
  ejectCover = buttonGroup.getObject("player.main.ejectcover");
  playCoverDown = buttonGroup.getObject("player.main.playcover.pressed");
  pauseCoverDown = buttonGroup.getObject("player.main.pausecover.pressed");
  stopCoverDown = buttonGroup.getObject("player.main.stopcover.pressed");
  prevCoverDown = buttonGroup.getObject("player.main.prevcover.pressed");
  nextCoverDown = buttonGroup.getObject("player.main.nextcover.pressed");
  ejectCoverDown = buttonGroup.getObject("player.main.ejectcover.pressed");

  playCover.show();
  pauseCover.show();
  stopCover.show();
  prevCover.show();
  nextCover.show();
  ejectCover.show();

  playCoverDown.hide();
  pauseCoverDown.hide();
  stopCoverDown.hide();
  prevCoverDown.hide();
  nextCoverDown.hide();
  ejectCoverDown.hide();
}

playButton.onLeftButtonDown(int x, int y)
{
  playCover.hide();
  playCoverDown.show();
}

playButton.onLeftButtonUp(int x, int y)
{
  playCoverDown.hide();
  playCover.show();
}

pauseButton.onLeftButtonDown(int x, int y)
{
  pauseCover.hide();
  pauseCoverDown.show();
}

pauseButton.onLeftButtonUp(int x, int y)
{
  pauseCoverDown.hide();
  pauseCover.show();
}

stopButton.onLeftButtonDown(int x, int y)
{
  stopCover.hide();
  stopCoverDown.show();
}

stopButton.onLeftButtonUp(int x, int y)
{
  stopCoverDown.hide();
  stopCover.show();
}

prevButton.onLeftButtonDown(int x, int y)
{
  prevCover.hide();
  prevCoverDown.show();
}

prevButton.onLeftButtonUp(int x, int y)
{
  prevCoverDown.hide();
  prevCover.show();
}

nextButton.onLeftButtonDown(int x, int y)
{
  nextCover.hide();
  nextCoverDown.show();
}

nextButton.onLeftButtonUp(int x, int y)
{
  nextCoverDown.hide();
  nextCover.show();
}

ejectButton.onLeftButtonDown(int x, int y)
{
  ejectCover.hide();
  ejectCoverDown.show();
}

ejectButton.onLeftButtonUp(int x, int y)
{
  ejectCoverDown.hide();
  ejectCover.show();
}